Subject: bug#32042: 26.1; python.el with ipython prompt leads to superfluous interactive shell output

From: Jaan Altosaar <[email-masked]>
Date: Mon, 9 Jul 2018 08:59:13 -0400

My bad! Reply alling to keep [email-masked] in cc. Hope this works—

There was no change; I still see the broken output in the original post...

```File "<ipython-input-1-57ce0cd600e5>", line 1, in <module>
    import codecs, os;__pyfile =
codecs.open('''/var/folders/qr/s_h2rhqj6kdg8qrj0zw2scnw0000gn/T/pyLbk6Vh''',
encoding='''utf-8''')
```

I tried:

Disabling system integrity protection (booting into OS X High Sierra
recovery mode and running `csrutil disable`), then

```
cd
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload
sudo mv readline.so readline.so.bak
```

and the same for the anaconda readline:

```
cd /usr/local/anaconda3/lib/python3.6/lib-dynload
mv readline.cpython-36m-darwin.so readline.cpython-36m-darwin.so.bak
```

And installing gnureadline.

Still getting the same broken output.

Any other ideas?

On Monday, July 2, 2018, Noam Postavsky <[email-masked]> wrote:

> Jaan Altosaar <[email-masked]> writes:
>
> > Thanks!
> >
> > I installed gnureadline. I could not rename the readline.so file as the
> > file moved to the /System/Library path in Mac High Sierra.
> >
> > FWIW I am not using the system python, but Anaconda 3 python (ipython
> > 6.4.0).
> >
> > Python 3.6.5 |Anaconda custom (64-bit)| (default, Apr 26 2018, 08:42:37).
> >
> > Is there anything else I should try?
>
> You mean there was no change?  Perhaps instead of the /System/Library
> path you need to find where the libedit readline is installed for
> Anaconda.  Although I'm not sure where that would be.
>
>